Package com.microsoft.sqlserver.jdbc

## Interface ISQLServerResultSetMetaData

All Superinterfaces:
  `ResultSetMetaData`, `Wrapper`

All Known Implementing Classes:
  `SQLServerResultSetMetaData`

    public interface ISQLServerResultSetMetaData
    extends ResultSetMetaData

Provides an interface to the`SQLServerResultSetMetaData` class.

### Field Summary

### Fields inherited from interface java.sql.ResultSetMetaData

`columnNoNulls, columnNullable, columnNullableUnknown`

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `isSparseColumnSet​(int column)` Returns if the column is a SQLServer SparseColumnSet.

### Methods inherited from interface java.sql.ResultSetMetaData

`getCatalogName, getColumnClassName, getColumnCount, getColumnDisplaySize, getColumnLabel, getColumnName, getColumnType, getColumnTypeName, getPrecision, getScale, getSchemaName, getTableName, isAutoIncrement, isCaseSensitive, isCurrency, isDefinitelyWritable, isNullable, isReadOnly, isSearchable, isSigned, isWritable`

### Methods inherited from interface java.sql.Wrapper

`isWrapperFor, unwrap`

### Method Detail

#### isSparseColumnSet

    boolean isSparseColumnSet​(int column)
                       throws SQLServerException

Returns if the column is a SQLServer SparseColumnSet.

Parameters:
  `column` - The column number
Returns:
  true if a column in a result set is a sparse column set, otherwise false.
Throws:
  `SQLServerException` - when an error occurs